org.apache.activemq.artemis.spi.core.security.jaas

## Class ExternalCertificateLoginModule

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.ExternalCertificateLoginModule

- All Implemented Interfaces:
    LoginModule, AuditLoginModule

      public class ExternalCertificateLoginModule
      extends Object
      implements AuditLoginModule

  A LoginModule that propagates TLS certificates subject DN as a UserPrincipal.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalCertificateLoginModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `abort()`
    `boolean` | `commit()`
    `void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
    `boolean` | `login()`
    `boolean` | `logout()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.spi.core.security.jaas.AuditLoginModule

      `registerFailureForAudit`

- - ### Constructor Detail

    - #### ExternalCertificateLoginModule

          public ExternalCertificateLoginModule()

  - ### Method Detail

    - #### initialize

          public void initialize(Subject subject,
                                 CallbackHandler callbackHandler,
                                 Map<String,?> sharedState,
                                 Map<String,?> options)

      Specified by:
        `initialize` in interface `LoginModule`

    - #### login

          public boolean login()
                        throws LoginException

      Specified by:
        `login` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### commit

          public boolean commit()
                         throws LoginException

      Specified by:
        `commit` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### abort

          public boolean abort()
                        throws LoginException

      Specified by:
        `abort` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### logout

          public boolean logout()

      Specified by:
        `logout` in interface `LoginModule`

Copyright © 2020 The Apache Software Foundation. All rights reserved.